DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# VoidPointerArrayFind

Find value in array

## SYNOPSIS

dip_Error dip_VoidPointerArrayFind ( array, value, index, found )

## FUNCTION

Finds a value in an array and "returns" its index in the array. If `found` is zero, `VoidPointerArrayFind` will produce an error if `value` is not found, otherwise `found` obtains the search result (`DIP_FALSE` if `value` is not found).

## ARGUMENTS

Data type | Name | Description
`dip_VoidPointerArray` | `array` | Array to find value in
`void *` | `value` | Value to find
`dip_int *` | `index` | Index of the found value
`dip_VoidPointer *` | `found` | Value found or not

## SEE ALSO

`VoidPointerArrayNew`, `VoidPointerArrayFree`, `VoidPointerArrayCopy`, `VoidPointerArrayFind`

`IntegerArrayFind`, `FloatArrayFind`, `ComplexArrayFind`, `DataTypeArrayFind`, `BooleanArrayFind`, `VoidPointerArrayFind`